For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardMint Website
  • Getting Started
    • Overview
    • Choose an Integration Path
    • React SDK Quickstart
    • Backend Payment Creation
    • Hosted Payments
  • Reference
    • React SDK Reference
  • API Reference
      • POSTPost V 1 Payments
      • GETGet V 1 Payments Payment Id
      • POSTPost V 1 Payments Crypto Pay Payment Id
      • GETGet V 1 Payments Crypto Pay Payment Id Payer Address Options
      • POSTPost V 1 Payments Payment Id Confirm
LogoLogo
DashboardMint Website
API ReferencePayments

Post V 1 Payments

POST
https://api.getmint.money/v1/payments/
POST
/v1/payments/
1const url = 'https://api.getmint.money/v1/payments/';
2const options = {
3 method: 'POST',
4 headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
5 body: '{"currency":"string","checkout_id":"string","amount":1.1}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
201Created
1{
2 "data": {
3 "id": "string",
4 "currency": "string",
5 "settlement_currency": "string",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "expires_at": "2024-01-15T09:30:00Z",
9 "checkout_id": "string",
10 "checkout": {
11 "id": "string",
12 "name": "string",
13 "logo_url": "string"
14 },
15 "organization_id": "string",
16 "status": "pending",
17 "is_test": true,
18 "amount": 1.1,
19 "settlement_amount": 1.1,
20 "settlement_rate_source": "string",
21 "payment_attempt": {
22 "payment_id": "string",
23 "amount": 1.1,
24 "amount_formatted": 1.1,
25 "expires_at": "2024-01-15T09:30:00Z",
26 "settlement_token_address": "string",
27 "settlement_config": {
28 "chain": "string",
29 "asset": "string",
30 "asset_name": "string",
31 "chain_name": "string",
32 "asset_id": "string",
33 "chain_hex": "string",
34 "logo_url": "string",
35 "chain_logo_url": "string"
36 },
37 "destination_address": "string",
38 "created_at": "2024-01-15T09:30:00Z",
39 "updated_at": "2024-01-15T09:30:00Z",
40 "required_confirmations": 1.1,
41 "routing": {
42 "type": "direct",
43 "source": {
44 "token": "string",
45 "chain": "string"
46 }
47 }
48 },
49 "payment_address": "string",
50 "payment_url": "string",
51 "payment_link_email_delivery": {
52 "recipientEmail": "string",
53 "status": "pending",
54 "error": "string",
55 "sentAt": "2024-01-15T09:30:00Z"
56 },
57 "order_id": "string",
58 "return_url": "string",
59 "customer_id": "string",
60 "metadata": {},
61 "line_items": [
62 {
63 "name": "string",
64 "quantity": 1.1,
65 "image_url": "string",
66 "price": 1.1
67 }
68 ],
69 "settlement_fx_rate": 1.1,
70 "settlement_rate_updated_at": "2024-01-15T09:30:00Z"
71 },
72 "meta": {
73 "total": 1.1,
74 "offset": 1.1,
75 "limit": 1.1
76 },
77 "error": "string",
78 "status": 200
79}

Create a new on-chain payment

Was this page helpful?
Previous

Get V 1 Payments Payment Id

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Request

This endpoint expects an object.
currencystringRequired
checkout_idstringRequired
amountdoubleRequired
order_idstring or nullOptional
return_urlstring or nullOptional
customer_idstring or nullOptional
metadatamap from strings to strings or doublesOptional
line_itemslist of objectsOptional
recipientEmailstring or nullOptionalformat: "email"

Response

Default Response
dataobject
metaobject or null
errorstring or null
statusdoubleDefaults to 200